<template>
    <div>
    <h1>Delete all Todos</h1>
    <button 
        class="delete-todo" 
        v-on:click="delete_todos()"
    >
        Delete
    </button>
</div>
</template>

<script setup lang="ts">
    import { defineEmits } from 'vue';

    const emit=defineEmits(['deleteAllTodos'])
    
    
//Question 7 - Delete all
    function delete_todos() {
        emit('deleteAllTodos');
    }
</script>